import { resetPasswordFromEmail } from '@/lib/actions';
import { FormMessage, type Message, SubmitButton } from '@/components/default';
import { Input, Label } from '@/components/ui';
import { getUser } from '@/lib/actions';
import { redirect } from 'next/navigation';

const ResetPassword = async (props: { searchParams: Promise<Message> }) => {
  const user = await getUser();
  if (!user.success) {
    redirect('/sign-in');
  }
  const searchParams = await props.searchParams;
  return (
    <form className='flex flex-col w-full max-w-md p-4 gap-2 [&>input]:mb-4'>
      <h1 className='text-2xl font-medium'>Reset password</h1>
      <p className='text-sm text-foreground/60'>
        Please enter your new password below.
      </p>
      <Label htmlFor='password'>New password</Label>
      <Input
        type='password'
        name='password'
        placeholder='New password'
        required
      />
      <Label htmlFor='confirmPassword'>Confirm password</Label>
      <Input
        type='password'
        name='confirmPassword'
        placeholder='Confirm password'
        required
      />
      <SubmitButton formAction={resetPasswordFromEmail}>Reset password</SubmitButton>
      <FormMessage message={searchParams} />
    </form>
  );
};
export default ResetPassword;
